#
# spec file for package compat-ldap (Version 10sp3_9sp4)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-suse build bzip2 coreutils cpio cpp cpp43 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc43 gdbm gettext-runtime gettext-tools glibc glibc-devel glibc-locale gmp grep groff gzip info insserv less libacl libattr libblkid1 libbz2-1 libbz2-devel libdb-4_5 libgcc43 libgomp43 libltdl7 libmpfr1 libncurses5 libreadline5 libselinux1 libsepol1 libstdc++43 libtool libuuid1 libvolume_id1 libxcrypt libzio linux-kernel-headers login m4 make man net-tools netcfg pam pam-modules patch perl perl-TimeDate perl-base permissions popt post-build-checks psmisc rpm rpmlint-Factory rpmlint-mini sed sysvinit tar terminfo-base texinfo timezone util-linux zlib

Url:            http://www.openldap.org

Name:           compat-ldap
License:        BSD 3-Clause
Group:          System/Libraries
AutoReqProv:    on
#Requires:	compat-openssl097g
Version:        10sp3_9sp4
Release:        0.2
Summary:        OpenLDAP2 client libraries from SLES10 and SLES9
Source:         openldap2-lib.tar.bz2
Source1:        baselibs.conf
# dummy, unused, included for reference
Source10:       openldap2-sles9.src.rpm
Source11:       openldap2-sles10.src.rpm
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the openldap2 client libraries (liblber, libldap,
libldap_r) from SLES9 and SLES10 to provide backwards compatility for
applications that that have been built against those SLES versions.



Authors:
--------
    The OpenLDAP Project <project@openldap.org>

%debug_package
%prep
%setup -n compat-ldap

%build
# NOTHING TO DO

%install
%ifarch %ix86
MY_CPU=i386
%else
MY_CPU=%{_target_cpu}
%endif
mkdir -p $RPM_BUILD_ROOT/%_libdir
cp -pr $MY_CPU/usr $RPM_BUILD_ROOT/
#/sbin/ldconfig -n $RPM_BUILD_ROOT/%_libdir

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%_libdir/lib*

%changelog
* Thu Mar 11 2010 garloff@suse.de
- Use baselibs.conf as adviced by ro to simplify sepcfile.
* Wed Mar 10 2010 garloff@suse.de
- Last changelog entry from SLES9-SP4 version:
  * Wed Sep 09 2009 rhafer@novell.com
    - libldap's check of the hostname against the TLS Certificate's CN
  Attribute did not handle possible NUL bytes in the CN correctly
  and was vulnerable against attacks with spoofed Certificates.
  (bnc#537143, ITS#6239)
- Last changelog entry from SLES9-SP4 version:
  * Wed Sep 09 2009 - rhafer@novell.com
    - libldap's check of the hostname against the TLS Certificate's CN
  Attribute did not handle possible NUL bytes in the CN correctly
  and was vulnerable against attacks with spoofed Certificates.
  (bnc#537143, ITS#6239)
* Wed Mar 10 2010 garloff@suse.de
- Actually pull from SLES10-SP3 and preserve timestamps.
* Wed Mar 10 2010 garloff@suse.de
- Add -32bit/-64bit/-x86 subpackages.
* Wed Mar 10 2010 garloff@suse.de
- Initial creation of package. [FATE#309168]
