#
# spec file for package openldap2 (Version 2.2.24)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# neededforbuild  cyrus-sasl cyrus-sasl-devel db-devel db41 db41-devel heimdal-devel heimdal-lib openslp openslp-devel openssl openssl-devel tcpd

BuildRequires:  aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cyrus-sasl-devel db-devel db41 db41-devel e2fsprogs-devel gcc gdbm gettext heimdal-devel heimdal-lib libtool openslp openslp-devel openssl-devel perl rpm tcpd-devel


Name:           openldap2
Url:            http://www.openldap.org
License:        BSD 3-Clause
Group:          Productivity/Networking/LDAP/Servers
Provides:       ldap2
Requires:       openldap2-client
Conflicts:      openldap
PreReq:         %insserv_prereq %fillup_prereq /usr/sbin/useradd /usr/sbin/groupadd /usr/bin/strings /bin/mkdir /bin/mktemp /bin/mv /bin/rm /usr/bin/sed /usr/bin/awk
AutoReqProv:    on
Summary:        The new OpenLDAP Server (LDAPv3)
Version:        2.2.24
Release:        4.32
Source:         openldap-%{version}.tar.bz2
Source1:        openldap-rc.tgz
Source2:        openldap-admin-guide.tar.bz2
Source3:        addonschema.tar.gz
Source4:        openldap-2.1.25.tar.bz2
Source5:        DB_CONFIG
Source6:        sasl-slapd.conf
Patch:          openldap-%{version}.dif
Patch1:         64bit.dif
Patch2:         secpatch.dif
Patch3:         back_perl.dif
Patch4:         librewrite.dif
Patch5:         slapd_conf.dif
Patch6:         ldap_conf.dif
Patch7:         ldapi_url.dif
Patch8:         test_syncrepl_timeout.dif
Patch9:         slpreg.dif
Patch10:        crl-check.dif
Patch11:        global_txn.dif
Patch12:        testsuite-baseport.dif
Patch13:        acl_remove_warning.dif
Patch14:        libldap-nofastsync.dif
Patch15:        libldap-gethostbyname_r.dif
Patch16:        tls-connection-test.dif
Patch17:        openldap-ntlm.diff
Patch18:        slapd_acl_selfwrite.dif
Patch19:        libldap-sasl_bind-assert.dif
Patch20:        slapd-bdb-noopmodify.dif
Patch21:        liblber-length-decoding.dif
Patch22:        libldap-ld_defconn-ldap_free_connection.dif
Patch23:        libldap-tls_chkhost-its6239.dif
Patch100:       openldap21.dif
Patch101:       openldap21_glue.dif
Patch102:       openldap21_slapcat.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%package      back-perl
License:        BSD 3-Clause
Summary:        OpenLDAP Perl Back-End
Requires:       openldap2 = %{version}
AutoReqProv:    on
Group:          Productivity/Networking/LDAP/Servers

%package      back-meta
License:        BSD 3-Clause
Summary:        OpenLDAP Meta backend
Requires:       openldap2 = %{version} openldap2-back-ldap = %{version}
AutoReqProv:    on
Group:          Productivity/Networking/LDAP/Servers
Provides:       openldap2:/usr/share/man/man5/slapd-meta.5.gz

%package      back-ldap
License:        BSD 3-Clause
Summary:        The new OpenLDAP Server (LDAPv3)
Requires:       openldap2 = %{version}
AutoReqProv:    on
Group:          Productivity/Networking/LDAP/Servers
Provides:       openldap2:/usr/share/man/man5/slapd-ldap.5.gz

%package      back-monitor
License:        BSD 3-Clause
Summary:        The new OpenLDAP Server (LDAPv3)
Requires:       openldap2 = %{version}
AutoReqProv:    on
Group:          Productivity/Networking/LDAP/Servers

%package      devel
License:        BSD 3-Clause
Summary:        Libraries, Headerfiles and Documentation for OpenLDAP2
AutoReqProv:    on
Conflicts:      openldap-devel 
Requires:       openldap2-client cyrus-sasl-devel openssl-devel
Group:          Development/Libraries/C and C++

%package      client
License:        BSD 3-Clause
Summary:        OpenLDAP2 client utilities
AutoReqProv:    on
Conflicts:      openldap-client
Group:          Productivity/Networking/LDAP/Clients
Prefix:         %{_prefix}

%prep
%setup -q -n openldap-%{version} -a1 -a2 -a3 -b4
%patch
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9
%patch10
%patch11
%patch12
%patch13
%patch14
%patch15
%patch16
%patch17
%patch18 -p1
%patch19
%patch20 -p1
%patch21
%patch22
%patch23 -p1
cd ../openldap-2.1.25
%patch100
%patch101
%patch102

%build
%{?suse_update_config:%{suse_update_config -f build}}
libtoolize --force
aclocal -I build
autoconf
export CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr \
	--exec-prefix=/usr \
	--sysconfdir=/etc \
	--localstatedir=/var/run/slapd \
	--libexecdir=/usr/lib/openldap \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--enable-wrappers \
	--enable-aclgroups \
	--enable-spasswd \
	--enable-modules \
	--enable-shared \
	--enable-dynamic \
	--with-tls \
	--with-cyrus-sasl \
	--enable-crypt \
	--enable-ipv6=yes \
	--enable-aci \
	--enable-bdb \
	--enable-rewrite \
	--enable-ldap=mod \
	--enable-meta=mod \
	--enable-monitor=mod \
	--enable-perl=mod \
	--enable-ldbm \
        --enable-slp \
        --enable-lmpasswd \
        --enable-dyngroup \
        --enable-proxycache
make depend
make
# calculate the base port to use in the test-suite
SLAPD_BASEPORT=10000
if [ -f /.buildenv ] ; then
    . /.buildenv
    SLAPD_BASEPORT=$(($SLAPD_BASEPORT + $BUILD_INCARNATION * 10))
fi
export SLAPD_BASEPORT
make test
## openldap-2.1.25-slapcat
cd ../openldap-2.1.25
%{?suse_update_config:%{suse_update_config -f build}}
libtoolize --force
aclocal -I build
autoconf
export CPPFLAGS="-I/usr/include/db41"
export CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr --exec-prefix=/usr --sysconfdir=/etc \
	--localstatedir=/var/run/slapd --libexecdir=/usr/lib/openldap \
	--libdir=%{_libdir} --mandir=%{_mandir} --enable-aci \
	--enable-bdb --enable-ldbm --enable-crypt --enable-ipv6=no \
        --enable-ldap --enable-monitor --enable-meta --enable-rewrite
make depend
make

%install
#[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin
make DESTDIR=$RPM_BUILD_ROOT install
install -m 755 rc.ldap $RPM_BUILD_ROOT/etc/init.d/ldap
install -m 755 rc.slurpd $RPM_BUILD_ROOT/etc/init.d/slurpd
ln -sf ../../etc/init.d/ldap $RPM_BUILD_ROOT/usr/sbin/rcldap
ln -sf ../../etc/init.d/slurpd $RPM_BUILD_ROOT/usr/sbin/rcslurpd
install -m 755 -d $RPM_BUILD_ROOT/var/lib/ldap
install -m 700 -d $RPM_BUILD_ROOT/var/lib/slurpd
chmod a+x $RPM_BUILD_ROOT/%{_libdir}/liblber.so*
chmod a+x $RPM_BUILD_ROOT/%{_libdir}/libldap_r.so*
chmod a+x $RPM_BUILD_ROOT/%{_libdir}/libldap.so*
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 sysconfig.openldap $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.openldap
install -m 644 *.schema $RPM_BUILD_ROOT/etc/openldap/schema
rm -f $RPM_BUILD_ROOT/usr/lib/openldap/modules/*.a
rm -f $RPM_BUILD_ROOT/usr/share/man/man5/slapd-dnssrv.5
rm -f $RPM_BUILD_ROOT/usr/share/man/man5/slapd-null.5
rm -f $RPM_BUILD_ROOT/usr/share/man/man5/slapd-passwd.5
rm -f $RPM_BUILD_ROOT/usr/share/man/man5/slapd-shell.5
rm -f $RPM_BUILD_ROOT/usr/share/man/man5/slapd-sql.5
rm -f $RPM_BUILD_ROOT/usr/share/man/man5/slapd-tcl.5
install -m 644 $RPM_SOURCE_DIR/DB_CONFIG $RPM_BUILD_ROOT/var/lib/ldap/DB_CONFIG
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/sasl2
install -m 644 %{SOURCE6} $RPM_BUILD_ROOT/%{_libdir}/sasl2/slapd.conf
## openldap-2.1-slapcat
cd ../openldap-2.1.25
install -m 755 servers/slapd/tools/slapcat $RPM_BUILD_ROOT/usr/sbin/openldap-2.1-slapcat

%pre
/usr/sbin/groupadd -g 70 -o -r ldap 2> /dev/null || :
/usr/sbin/useradd -r -o -g ldap -u 76 -s /bin/bash -c "User for OpenLDAP" -d \
/var/lib/ldap ldap 2> /dev/null || :
if [ ${1:-0} -gt 1 ] && [ -f /usr/lib/openldap/slapd ] &&
    /usr/bin/strings /usr/lib/openldap/slapd | grep "slapd 2.1" 2> /dev/null;
then
    touch /etc/openldap/UPDATE_NEEDED ;
fi

%post
%{fillup_and_insserv -n -s openldap ldap START_LDAP slurpd START_SLURPD}
if [ -f /etc/openldap/UPDATE_NEEDED ] ; then
    SLAPD_CONF=/etc/openldap/slapd.conf
    TEMPDIR=`mktemp -d /tmp/ldapupdate.XXXXXX`
    LOGFILE="slaptool.log"
    BACKENDS=`grep ^database $SLAPD_CONF | awk '{print $2}'`
    DIRECTORIES=(`grep ^directory $SLAPD_CONF | awk '{print $2}'`)
    MSG=""
    db_num=0
    dir_num=0
    for i in $BACKENDS; do
            db_num=$((db_num+1));
            if [ "x$i" = "xbdb" ]; then
                db_dir=${DIRECTORIES[$dir_num]};
                if [ -f $db_dir/id2entry.bdb ] ; then
                    rm $db_dir/__db* ;
                    mkdir $db_dir/db_bak ;
                    echo "Dumping database to: $db_dir/ldapbak.ldif.$db_num" ;
                    /usr/sbin/openldap-2.1-slapcat -f $SLAPD_CONF -n $db_num -l $db_dir/ldapbak.ldif.$db_num ;
                    mv $db_dir/*.bdb $db_dir/db_bak/ ;
                    mv $db_dir/log.* $db_dir/db_bak/ ;
                    rm $db_dir/__db* ;
                fi
                dir_num=$((dir_num+1));
            elif [ "x$i" = "xldbm" ]; then
                dir_num=$((dir_num+1));
            fi
    done
    # Update the access control statements (dn -> dn.regex)
    # Create backup for original config
    SLAPD_ORIG=`mktemp /etc/openldap/slapd.conf.XXXXXXXXXX`
    cp $SLAPD_CONF $SLAPD_ORIG
    sed -e 's;^\(access[[:space:]]\+to[[:space:]]\)dn=;\1dn.regex\=;' \
        -e 's;\([[:space:]]\+by[[:space:]]\+\)dn\=;\1dn.regex\=;g' \
        -e 's;\([[:space:]]\+by[[:space:]]\+\)group\=;\1group.regex\=;g' \
        -e 's;\([[:space:]]\+by[[:space:]]\+\)peername\=;\1peername.regex\=;g' \
        -e 's;\([[:space:]]\+by[[:space:]]\+\)sockname\=;\1sockname.regex\=;g' \
        -e 's;\([[:space:]]\+by[[:space:]]\+\)sockurl\=;\1sockurl.regex\=;g' \
        -e 's;\([[:space:]]\+by[[:space:]]\+\)set\=;\1set.regex\=;g' \
        $SLAPD_ORIG > $SLAPD_CONF
    # Create Tempoary config file for update
    sed -e 's;^database\([[:space:]]\+\)bdb;database\1bdb\ndbnosync\nschemacheck off;' \
        -e 's;^database\([[:space:]]\+\)ldbm;database\1ldbm\ndbnosync\nschemacheck off;' \
        $SLAPD_CONF > $TEMPDIR/slapd.conf.update 
    db_num=0
    dir_num=0
    for i in $BACKENDS; do
        db_num=$((db_num+1));
        if [ "x$i" = "xbdb" ]; then
            db_dir=${DIRECTORIES[$dir_num]};
            if [ -s $db_dir/ldapbak.ldif.$db_num ] ; then
                if [ `wc -l $db_dir/ldapbak.ldif.$db_num | awk '{print $1}'` -lt 500000 ]; then
                    echo "Restoring $i database in $db_dir" ;
                    slapadd -n $db_num -f $TEMPDIR/slapd.conf.update -l $db_dir/ldapbak.ldif.$db_num 2>> $db_dir/$LOGFILE ;
                    if [ $? -ne 0 ]; then
                        MSG="$MSG\nFailed to restore database in $db_dir";
                        MSG="$MSG\nPlease restore manually from the LDIF dump $db_dir/ldapbak.ldif.$db_num\n";
                    fi
                else
                    MSG="$MSG\nPlease restore the database in $db_dir manually by using";
                    MSG="$MSG\nslapadd with the LDIF dump $db_dir/ldapbak.ldif.$db_num\n";
                fi
            fi
            dir_num=$((dir_num+1));
        elif [ "x$i" = "xldbm" ]; then
            db_dir=${DIRECTORIES[$dir_num]};
            if [ -f $db_dir/id2entry.dbb ] ; then
                if [ `du -k $db_dir/id2entry.dbb | awk '{print $1}'` -lt 20000 ]; then
                    for j in $db_dir/*.dbb; do
                        if [ "$j" != "$db_dir/id2entry.dbb" ] && \
                           [ "$j" != "$db_dir/dn2id.dbb" ] && \
                           [ "$j" != "$db_dir/nextid.dbb" ] ; then
                            rm "$j";
                        fi
                    done
                    echo "Recreating $i database indices in $db_dir"
                    slapindex -n $db_num -f $TEMPDIR/slapd.conf.update 2>> $db_dir/$LOGFILE;
                    if [ $? -ne 0 ]; then
                        MSG="$MSG\nFailed to restore database index in $db_dir";
                        MSG="$MSG\nPlease restore manually from with the slapindex tool\n";
                    fi
                else
                    MSG="$MSG\nPlease restore the database index for the database in";
                    MSG="$MSG\n$db_dir manually with the slapindex tool\n";
                fi
            fi
            dir_num=$((dir_num+1));
        fi
    done
    rm -rf "$TEMPDIR"
    if [ "$MSG" ] ; then
        echo -e "$MSG";
    else
        rm -f /etc/openldap/UPDATE_NEEDED ;
    fi
    if [ "$MSG" -a -d var/adm/notify/messages ]; then
        echo -e "$MSG" > var/adm/notify/messages/%{name}.update
    fi
    cat ./%{_defaultdocdir}/%{name}/README.update >> var/adm/notify/messages/%{name}.update
fi

%preun
%stop_on_removal ldap slurpd

%postun
%restart_on_update ldap slurpd
%insserv_cleanup

%files
%defattr(-,root,root)
/var/adm/fillup-templates/sysconfig.openldap
%config /etc/init.d/ldap
%config /etc/init.d/slurpd
/usr/sbin/rcldap
/usr/sbin/rcslurpd
/usr/sbin/slap*
/usr/sbin/openldap-2.1-slapcat
%dir /etc/openldap
/etc/openldap/schema
%config(noreplace) %attr(640, root, ldap) /etc/openldap/slapd.conf
%config(noreplace) /var/lib/ldap/DB_CONFIG
%attr(640, root, ldap) /etc/openldap/slapd.conf.default
%dir /usr/lib/openldap
%dir /usr/lib/openldap/modules
/usr/lib/openldap/slapd
/usr/lib/openldap/slurpd
%config(noreplace) %{_libdir}/sasl2/slapd.conf
%dir %attr(0700, ldap, ldap) /var/lib/ldap
%dir %attr(0700, ldap, ldap) /var/run/slapd
/var/lib/slurpd
/usr/share/openldap
%doc %{_mandir}/man8/slapadd.8.gz
%doc %{_mandir}/man8/slapcat.8.gz
%doc %{_mandir}/man8/slapd.8.gz
%doc %{_mandir}/man8/slapindex.8.gz
%doc %{_mandir}/man8/slappasswd.8.gz
%doc %{_mandir}/man8/slapdn.8.gz
%doc %{_mandir}/man8/slaptest.8.gz
%doc %{_mandir}/man8/slurpd.8.gz
%doc %{_mandir}/man5/slapd.*.5.gz
%doc %{_mandir}/man5/slapd-bdb.5.gz
%doc %{_mandir}/man5/slapd-ldbm.5.gz
%doc ANNOUNCEMENT COPYRIGHT INSTALL LICENSE README README.SuSE README.update
%doc doc/drafts doc/install doc/admin-guide

%files client
%defattr(-,root,root)
%dir /etc/openldap
%config(noreplace) /etc/openldap/ldap.conf
/etc/openldap/ldap.conf.default
/usr/bin/ldapadd
/usr/bin/ldapcompare
/usr/bin/ldapdelete
/usr/bin/ldapmodify
/usr/bin/ldapmodrdn
/usr/bin/ldapsearch
/usr/bin/ldappasswd
/usr/bin/ldapwhoami
%{_libdir}/liblber.so.*
%{_libdir}/libldap.so.*
%{_libdir}/libldap_r.so.*
%doc %{_mandir}/man1/ldap*.1.gz
%doc %{_mandir}/man5/ldap.conf.5.gz
%doc %{_mandir}/man5/ldif.5.gz

%files devel
%defattr(-,root,root)
/usr/include/lber.h
/usr/include/lber_types.h
/usr/include/ldap*.h
/usr/include/slapi-plugin.h
%{_libdir}/liblber.a
%{_libdir}/liblber.la
%{_libdir}/liblber.so
%{_libdir}/libldap.a
%{_libdir}/libldap.la
%{_libdir}/libldap.so
%{_libdir}/libldap_r.a
%{_libdir}/libldap_r.la
%{_libdir}/libldap_r.so
%doc %{_mandir}/man3/ber*.3.gz
%doc %{_mandir}/man3/lber*.3.gz
%doc %{_mandir}/man3/ld_errno.3.gz
%doc %{_mandir}/man3/ldap*.3.gz

%files back-perl
%defattr(-,root,root)
/usr/lib/openldap/modules/back_perl.*
%doc %{_mandir}/man5/slapd-perl.5.gz

%files back-monitor
%defattr(-,root,root)
/usr/lib/openldap/modules/back_monitor.*
%doc %{_mandir}/man5/slapd-monitor.5.gz

%files back-meta
%defattr(-,root,root)
/usr/lib/openldap/modules/back_meta.*
%doc %{_mandir}/man5/slapd-meta.5.gz

%files back-ldap
%defattr(-,root,root)
/usr/lib/openldap/modules/back_ldap.*
%doc %{_mandir}/man5/slapd-ldap.5.gz

%description
The Lightweight Directory Access Protocol (LDAP) is used to access
online directory services. It runs directly over TCP, and can be used
to access a standalone LDAP directory service or to access a directory
service that has an X.500 back-end.



Authors:
--------
    The OpenLDAP Project <project@openldap.org>

%description back-perl
The OpenLDAP Perl back-end allows you to execute Perl code specific to
different LDAP operations.



Authors:
--------
    The OpenLDAP Project <project@openldap.org>

%description back-meta
The OpenLDAP Meta backend is able to perform basic LDAP proxying with
respect to a set of remote LDAP servers. The information contained in
these servers can be presented as belonging to a single  Directory
Information Tree (DIT).



Authors:
--------
    The OpenLDAP Project <project@openldap.org>

%description back-ldap
The Lightweight Directory Access Protocol (LDAP) is a protocol for
accessing online directory services. It runs directly over TCP, and can
be used to access a standalone LDAP directory service or to access a
directory service that is back-ended by X.500



Authors:
--------
    The OpenLDAP Project <project@openldap.org>

%description back-monitor
The Lightweight Directory Access Protocol (LDAP) is a protocol for
accessing online directory services. It runs directly over TCP, and can
be used to access a standalone LDAP directory service or to access a
directory service that is back-ended by X.500



Authors:
--------
    The OpenLDAP Project <project@openldap.org>

%description devel
Libraries, Headerfiles and Documentation for OpenLDAP2



Authors:
--------
    The OpenLDAP Project <project@openldap.org>

%description client
This package contains the OpenLDAP2 client utilities.



Authors:
--------
    The OpenLDAP Project <project@openldap.org>

%changelog
* Wed Sep 09 2009 - rhafer@novell.com
- libldap's check of the hostname against the TLS Certificate's CN
  Attribute did not handle possible NUL bytes in the CN correctly
  and was vulnerable against attacks with spoofed Certificates.
  (bnc#537143, ITS#6239)
* Thu Aug 07 2008 - rhafer@suse.de
- Fixed a bug in ldap_free_connection which could result in client
  crashes when the server closed a connection while an operation
  is active (bnc#407552 ,ITS#5525, ITS#5518).
* Thu Jul 03 2008 - rhafer@suse.de
- Reworked liblber-length-decoding.dif according to upstream
  changes (bnc#405089, ITS#5580)
* Tue Jul 01 2008 - rhafer@suse.de
- Fixed a bug in the length decoding of BER packets, that could be
  abused to crash slapd (bnc#405089, ITS#5580)
* Fri Feb 08 2008 - rhafer@suse.de
- Additional fix for bnc#357919, ModRDN was affected by the NO-OP
  issue as well (CVE-2008-0658, ITS#5358). In openldap-2.2.X this
  even affects all other write operations (Add, Delete)
* Mon Feb 04 2008 - rhafer@suse.de
- Fix for a crash in slapd, caused by a Modify Request with an
  attached no-op control (bnc#357919, ITS#4925, CVE-2007-6698)
* Fri Nov 17 2006 - rhafer@suse.de
- Fix for a flaw in libldap's strval2strlen() function when processing the
  authcid string of certain Bind Requests, which could allow attackers to
  cause an affected application to crash (especially the OpenLDAP Server),
  creating a denial of service condition (Bug#221154,ITS#4740)
* Thu Jul 27 2006 - rhafer@suse.de
- More fixes for "selfwrite" ACLs. The previous version of
  slapd_acl_selfwrite.dif did not catch all corner cases
  (Bug#184303, ITS#4587)
* Wed Jun 21 2006 - rhafer@suse.de
- Fixed evaluation of "selfwrite" Access Control Statements
  (Bug#184303, ITS#4587)
* Thu Nov 10 2005 - rhafer@suse.de
- Enable pcache and dyngroup overlays again (Bug #132088)
* Thu Sep 08 2005 - rhafer@suse.de
- Added NTLM patch to libldap, needed by evolution
  (Feature ID: #100361)
* Wed Aug 24 2005 - rhafer@suse.de
- allow start_tls while chasing referrals (Bug #94355, ITS #3791)
* Wed May 25 2005 - rhafer@suse.de
- libldap-gethostbyname_r.dif: Use gethostbyname_r instead of
  gethostbyname in libldap. Should fix host lookups through
  nss_ldap (Bugzilla: #76173)
* Thu Apr 28 2005 - rhafer@suse.de
- Added /%%{_libdir}]/sasl2/slapd.conf to avoid warnings about
  unconfigured OTP mechanism (Bugzilla: #80588)
* Thu Apr 21 2005 - rhafer@suse.de
- libldap-nofastsync.dif: fixes libldap result processing
  (ITS: #3612)
* Tue Apr 12 2005 - rhafer@suse.de
- updated to 2.2.24 (Feature ID: #2253)
- acl_remove_warning.dif: Don't warn on group.regex ACLs (to be
  compatible with OpenLDAP 2.2.6)
- global_txn.dif: isolated global transaction restart patch from
  bdb-2.2.18-backport.dif, which is now obsoleted
- use different base ports for differnt values of BUILD_INCARNATION
  (/.buildenv) to allow parallel runs of the test-suite on a single
  machine
- added minimal timeout to startproc in init-script to let it
  report the "failed" status correctly in case of misconfiguration
  (Bugzilla: #76393)
- increased the killproc timeout in init-script to give slapd
  enough time to flush its caches upon shutdown.
  (See Bugzilla #62227)
- integrated rc-check-conn.dif, rc-slpreg.dif and
  checkproc_before_recover.dif in to openldap-rc.tgz and removed
  obsolete patches
* Fri Mar 11 2005 - rhafer@suse.de
- checkproc_before_recover.dif: Check if slapd is stopped before
  running db_recover from the init script. (Bugzilla: #65962)
* Mon Feb 07 2005 - rhafer@suse.de
- ldapsearch-paged-results.dif: Avoid infinitive loop when
  processing paged results (Bugzilla: #50503)
* Wed Feb 02 2005 - rhafer@suse.de
- increased syncrepl-timeout in testsuite
- libldap-open-copyopts.dif: Global connection options where freed
  invalidly in subsequent calls to ldap_unbind.
  (Bugzilla: #50259, ITS: #3487)
- libldap-reinit-fdset.dif: Re-init fd_sets when select is
  interupted (Bugzilla #50076, ITS: #3524)
* Wed Jan 26 2005 - rhafer@suse.de
- extensible_match.dif: Fixes a bug that could cause the LDAP
  Server to crash while processing LDAP Extended Match Filters.
  (Bugzilla: #50109, ITS: #3506)
- paged_results_control.dif: Fixes a bug in the parsing routines
  of LDAP Paged Results Control Cookies. (Bugzilla: #49908)
* Wed Nov 10 2004 - rhafer@suse.de
- libldap_result.dif: LDAPS connections to eDirectory could hang
  under certain circustances (Bugzilla: #47583)
- ctxcsn-memleak.dif, bdb_cache_lru_add.dif additional fixes for
  Bug #42570, that were missing in the last submission.
* Thu Oct 28 2004 - rhafer@suse.de
- crl-check.dif: Implements CRL checking on client and server side
- bdb-2.2.18-backport.dif: Backport of the back-bdb from OpenLDAP
  2.2.18, should fix some deadlocks and crashes (Bugzilla #42570),
  obsoletes: bdb-cache-deadlock.dif, bdb-cache-lock.dif,
  bdb-cache-memleak.dif, bdb-index-modify.dif, bdb-modretry-leak.dif
  and idlcache.dif
* Thu Jul 29 2004 - rhafer@suse.de
- Bugzilla #42609: updated abandon-pending.dif to completely fix
  the abandon/cancel operations for very busy connections.
- Bugzilla #42882: A failing modify operation on an indexed
  attribute followed by a successful modify operation on a
  different attribute of the same entry could led to an index
  corruption.
- Bugzilla #42570: Additional memory leak fixes in cache code as
  backported from OpenLDAP CVS
* Wed Jun 30 2004 - rhafer@suse.de
- Bugzilla #42570: bdb-modretry-leak.dif fixes a memory leak that
  was triggered when a failed bdb-transaction needed to be
  restarted. bdb-cache-deadlock.dif: Fixes a potenital deadlock
  condition in the bdb-caching code. (OpenLDAP ITS #3213 and 3201)
- Bugzilla #42609: abandon-pending.dif: slapd was not handling
  abandon operations correctly on very busy connections. The caused
  the server to execute no more operations on that connection and
  eventually resulted in a crash. (OpenLDAP ITS #3160)
* Fri Jun 25 2004 - rhafer@suse.de
- Bugzilla #42152: slapd did ignore error conditions (e.g.
  DB_DEADLOCK) when updating the internal entry cache. This could
  lead to crashes under high modify load. (OpenLDAP ITS#3188)
* Mon Jun 07 2004 - rhafer@suse.de
- rc-check-conn.diff: When starting slapd wait until is accepts
  connections, or 10 seconds at maximum (Bugzilla #41354)
* Tue May 18 2004 - rhafer@suse.de
- Backported IDL-cache fix from openldap 2.2.11, to avoid index
  trashing ( Bugzilla #40609, ITS#3004)
* Wed May 12 2004 - rhafer@suse.de
- Bugzilla #40415: Updated ACLs in slapd_conf.dif to disable
  default read access to the "userPKCS12" Attribute
* Wed May 05 2004 - rhafer@suse.de
- Bugzilla #39865: Added command line switch (-N) to slapd to be
  able to disable SLP-registration (slpreg.dif). New syconfig
  variable (OPENLDAP_REGISTER_SLP) to switch SLP registration
  on and off (default: on)
* Thu Apr 29 2004 - rhafer@suse.de
- Bugzilla #39652: Updated slapd_conf.dif to contain basic access
  control
* Wed Apr 28 2004 - rhafer@suse.de
- Bugzilla #39573: Do not start slapd, if the update did not
  complete, Update access contol definitions
- Bugzilla #39468: Added missing items to yast.schema
* Mon Apr 19 2004 - rhafer@suse.de
- ldapi_url.dif: Fixed paths for LDAPI-socket, pid-file and
  args-file (Bugzilla #38790)
- ldbm_modrdn.dif: Fixed back-ldbm modrdn indexing bug (ITS #3059,
  Bugzilla #38915)
- modify_check_duplicates.dif: check for duplicate attribute
  values in modify requests (ITS #3066/#3097, Bugzilla #38607)
- updated and renamed yast2userconfig.schema to yast.schema as it
  contains more that only user configuration now
- syncrepl.dif: addtional fixes for syncrepl (ITS #3055, #3056)
- test_syncrepl_timeout: increased sleep timeout in syncrepl
  testsuite
* Thu Apr 01 2004 - rhafer@suse.de
- added "TLS_REQCERT allow" to /etc/openldap/ldap.conf, to make
  START_TLS work without access to the CA Certificate.
  (Bugzilla: #37393)
* Fri Mar 26 2004 - rhafer@suse.de
- fixed filelist
- check-build.sh (build on kernel >= 2.6.4 hosts only)
- yast2user.schema / slapd.conf fixed (#37076)
- don't check for TLS-options is init-script anymore (#33560)
- fixed various typos in README.update
* Wed Mar 17 2004 - rhafer@suse.de
- fixed build of openldap-2.1-slapcat (using correct db41 include
  files, build backends as on sles8)
- attempt to update bdb database and reindex ldbm database in %%{post}
- Update notes in README.update
- better default configuration (including default DB_CONFIG file)
- misc updates for the YaST schema
- fixed crasher in syncrepl-code (syncrepl.dif)
* Tue Mar 16 2004 - schwab@suse.de
- Fix type mismatch.
* Tue Mar 02 2004 - rhafer@suse.de
- updated to 2.2.6
- build a openldap-2.1-slapcat from 2.1.25 sources  to be able to
  migrate from SLES8 and SL 9.0
* Thu Feb 19 2004 - ro@suse.de
- added check-build.sh (build on 2.6 hosts only)
* Thu Feb 05 2004 - rhafer@suse.de
- updated to 2.2.5
- adjusted rfc2307bis.schema to support UTF-8 values in most
  attributes
- enabled proxycache-overlay (wiht fix to work with back-ldbm)
* Tue Jan 13 2004 - rhafer@suse.de
- updated to 2.2.4
- updated Admin Guide to most recent version
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
- fix build as user
* Mon Dec 08 2003 - rhafer@suse.de
- updated to 2.1.25
- small fixes for the YaST user schema
* Tue Nov 11 2003 - rhafer@suse.de
- enabled SLP-support
* Fri Oct 17 2003 - kukuk@suse.de
- Remove unused des from neededforbuild
* Tue Sep 02 2003 - mt@suse.de
- Bugzilla #29859: fixed typo in sysconfig metadata,
  usage of OPENLDAP_LDAPS_INTERFACES in init script
- added /usr/lib/sasl2/slapd.conf permissions handling
- added sysconfig variable OPENLDAP_SLAPD_PARAMS=""
  to support additional slapd start parameters
- added sysconfig variable OPENLDAP_START_LDAPI=NO/yes
  for ldapi:/// (LDAP over IPC) URLs
* Thu Aug 14 2003 - rhafer@suse.de
- added activation metadata to sysconfig template (Bugzilla #28911)
- removed lint from specfile
* Thu Aug 07 2003 - rhafer@suse.de
- added %%stop_on_removal and %%restart_on_update calls
- bdb_addcnt.dif fixes a possible endless loop in id2entry()
- addonschema.tar.gz: some extra Schema files (YaST, RFC2307bis)
* Wed Jul 16 2003 - rhafer@suse.de
- removed fillup_only and call fillup_and_insserv correctly
- new Options in sysconfig.openldap: OPENLDAP_LDAP_INTERFACES,
  OPENLDAP_LDAPS_INTERFACES and OPENLDAP_RUN_DB_RECOVER
* Tue Jul 01 2003 - rhafer@suse.de
- updated to 2.1.22
- updated Admin Guide to most recent version
- build librewrite with -fPIC
* Mon Jun 16 2003 - rhafer@suse.de
- updated to 2.1.21
* Wed Jun 11 2003 - ro@suse.de
- fixed requires lines
* Mon May 26 2003 - rhafer@suse.de
- don't link back-ldap against librewrite.a, it's already linked
  into slapd (package should build on non-i386 Archs again)
* Fri May 23 2003 - rhafer@suse.de
- fixed dynamic build of back-ldap
- new subpackage back-ldap
* Tue May 20 2003 - rhafer@suse.de
- updated to version 2.1.20
- enabled dynamic backend modules
- new subpackages back-perl, back-meta and back-monitor
- remove unpacked files from BuildRoot
* Fri May 09 2003 - rhafer@suse.de
- updated to version 2.1.19
* Tue Apr 15 2003 - ro@suse.de
- fixed requires for devel-package ...
* Tue Apr 15 2003 - ro@suse.de
- fixed neededforbuild
* Thu Feb 13 2003 - kukuk@suse.de
- Enable IPv6 again
* Tue Feb 11 2003 - rhafer@suse.de
- added /etc/openldap to filelist
* Mon Feb 03 2003 - rhafer@suse.de
- switch default backend to ldbm
* Sun Feb 02 2003 - ro@suse.de
- fixed requires for devel package (cyrus-sasl2-devel)
* Fri Jan 31 2003 - rhafer@suse.de
- liblber.dif: Fixes two bugs in liblber by which remote attackers
  could crash the LDAP server (Bugzilla #22469, OpenLDAP ITS #2275
  and #2280)
* Tue Jan 14 2003 - choeger@suse.de
- build using sasl2
* Mon Jan 13 2003 - rhafer@suse.de
- updated to version 2.1.12
- added metadata to sysconfig template (Bug: #22666)
* Thu Nov 28 2002 - rhafer@suse.de
- updated to version 2.1.8
- added additional fix of 64bit archs
- added secpatch.dif to fix setuid issues in libldap
* Fri Sep 06 2002 - rhafer@suse.de
- fix for Bugzilla ID #18981, chown to OPENLDAP_USER didn't work
  with multiple database backend directories
* Mon Sep 02 2002 - rhafer@suse.de
- removed damoenstart_ipv6.diff and disabled IPv6 support due to
  massive problems with nss_ldap
* Mon Aug 26 2002 - rhafer@suse.de
- ldap_user.dif: slapd is now run a the user/group ldap (Bugzilla
  ID#17697)
* Fri Aug 23 2002 - rhafer@suse.de
- updated to version 2.1.4, which fixes tons of bugs
- added damoenstart_ipv6.diff (slapd was not starting when
  configured to listen on IPv4 and IPv6 interfaces, as done by the
  start script)
- added README.SuSE with some hints about the bdb-backend
- updated filelist to include only the man pages of the backends,
  that were built
* Thu Aug 15 2002 - rhafer@suse.de
- removed termcap and readline from neededforbuild
* Thu Aug 08 2002 - rhafer@suse.de
- enabled {CRYPT} passwords
- update filelist (added new manpages)
* Thu Jul 25 2002 - rhafer@suse.de
- patches for 64 bit architectures
* Fri Jul 19 2002 - rhafer@suse.de
- update to 2.1.3
* Fri Jul 05 2002 - kukuk@suse.de
- fix openldap2-devel requires
* Thu Jul 04 2002 - rhafer@suse.de
- switched back from cyrus-sasl2 to cyrus-sasl
* Wed Jul 03 2002 - rhafer@suse.de
- updated to OpenLDAP 2.1.2
- added the OpenLDAP Administration Guide
- enabled additional backends (ldap, meta, monitor)
* Mon Jun 10 2002 - olh@suse.de
- hack build/ltconfig to build shared libs on ppc64
* Wed Jun 05 2002 - rhafer@suse.de
- created /etc/sysconfig/openldap and OPENLDAP_START_LDAPS variable
  to enable ldap over ssl support
* Thu Mar 07 2002 - rhafer@suse.de
- Fix for Bugzilla ID#14569 (added cyrus-sasl-devel openssl-devel
  to the "Requires" Section of the -devel subpackage)
* Mon Feb 18 2002 - rhafer@suse.de
- updated to the latest STABLE release (2.0.23) which fixes some
  nasty bugs see ITS #1562,#1582,#1577,#1578
* Thu Feb 07 2002 - rhafer@suse.de
- updated to the latest release (which fixes a index corruption
  bug)
- cleanup in neededforbuild
- small fixes for the init-scripts
* Thu Jan 17 2002 - rhafer@suse.de
- updated to the latest stable release (2.0.21)
* Wed Jan 16 2002 - egmont@suselinux.hu
- removed periods and colons from startup/shutdown messages
* Tue Jan 15 2002 - rhafer@suse.de
- updated to v2.0.20 (which fixes a security hole in ACL
  processing)
* Fri Jan 11 2002 - rhafer@suse.de
- converted archive to bzip2
- makes use of %%{_libdir} now
- set CFLAGS to -O0 for archs ia64, s390(x) and alpha otherwise
  the test suite fails on these archs
- changed slapd.conf to store the database under /var/lib/ldap
  (this patch was missing in the last versions by accident)
* Mon Jan 07 2002 - rhafer@suse.de
- update to v2.0.19
* Thu Dec 06 2001 - rhafer@suse.de
- eliminated START_LDAP, START_SLURPD variables in rc.config
- created separate init script for slurpd
- moved init scripts from dif to separate source tgz
* Fri Oct 26 2001 - choeger@suse.de
- update to v2.0.18
* Mon Oct 15 2001 - choeger@suse.de
- update to v2.0.17
  added a sleep to the restart section
  moved some manpages to the client package
* Mon Oct 01 2001 - choeger@suse.de
- update to v2.0.15
* Wed Sep 12 2001 - choeger@suse.de
- backported the full bugfix from openldap-2.0.14
* Tue Sep 11 2001 - choeger@suse.de
- Bugfix for slurpd millionth second bug (ITS#1323)
* Mon Sep 10 2001 - choeger@suse.de
- moved ldapfilter.conf ldaptemplates.conf ldapsearchprefs.conf
  to openldap2-client package
* Mon Sep 03 2001 - choeger@suse.de
- update to version 2.0.12
* Mon Jul 02 2001 - choeger@suse.de
- bugfix: init script was not LSB compliant, Bugzilla ID#9072
* Tue Jun 19 2001 - ro@suse.de
- fixed for autoconf again
* Fri Jun 15 2001 - choeger@suse.de
- update to 2.0.11
- removed autoconf in specfile, because it doesn't work
* Wed May 23 2001 - choeger@suse.de
- update to version 2.0.10 (minor fixes)
* Tue May 22 2001 - choeger@suse.de
- update to version 2.0.9
* Mon Apr 23 2001 - choeger@suse.de
- removed kerberos support
- added aci support
* Fri Apr 20 2001 - choeger@suse.de
- added kerberos support
* Thu Apr 05 2001 - choeger@suse.de
- moved section 5 and 8 manpages to the server part of package
* Wed Mar 14 2001 - kukuk@suse.de
- Move *.so links into -devel package
- -devel requires -client
* Thu Mar 08 2001 - choeger@suse.de
- split up into openldap2-client and -devel
* Tue Feb 27 2001 - ro@suse.de
- changed neededforbuild <cyrus-sasl> to <cyrus-sasl cyrus-sasl-devel>
* Thu Feb 22 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Thu Jan 04 2001 - choeger@suse.de
- bugfix: slapd.conf rename /var/lib/openldap-ldbm to
  /var/lib/ldap
  init script: use $remote_fs
* Tue Jan 02 2001 - olh@suse.de
- use script name in %%post
* Thu Dec 07 2000 - choeger@suse.de
- bugfix from Andreas Jaeger:
  workaround for glibc2.2, detach
* Fri Dec 01 2000 - ro@suse.de
- hacked configure for apparently broken pthread
* Fri Dec 01 2000 - ro@suse.de
- fixed spec
* Thu Nov 23 2000 - choeger@suse.de
- made configs %%config(noreplace) (Bug 4112)
- fixed neededforbuild
* Wed Nov 22 2000 - choeger@suse.de
- adopted new init scheme
* Wed Nov 15 2000 - choeger@suse.de
- fixed neededforbuild
* Fri Nov 10 2000 - choeger@suse.de
- added buildroot
* Tue Nov 07 2000 - choeger@suse.de
- long package name
- new version, 2.0.7
* Fri Oct 06 2000 - choeger@suse.de
- first package of openldap2 (v2.0.6)
